## ssbind
Class ListSubjects

    java.lang.Object
      org.biojava.bio.search.SearchContentAdapter
          ssbind.ListSubjects

All Implemented Interfaces:
  org.biojava.bio.search.SearchContentHandler

    public class ListSubjects

extends org.biojava.bio.search.SearchContentAdapter

Lists all subject sequence names in the report.

## Example

     java ProcessBlastReport blast.out ssbind.ListSubjects

Author:
  Matthew Pocock

Constructor Summary
`ListSubjects()`

Method Summary
`void` `addHitProperty(Object key, Object val)`

Methods inherited from class org.biojava.bio.search.SearchContentAdapter
`addSearchProperty, addSubHitProperty, endHeader, endHit, endSearch, endSubHit, getMoreSearches, setDatabaseID, setMoreSearches, setQueryID, startHeader, startHit, startSearch, startSubHit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListSubjects

    public ListSubjects()

Method Detail

### addHitProperty

    public void addHitProperty(Object key,
                               Object val)

  Specified by:
    `addHitProperty` in interface `org.biojava.bio.search.SearchContentHandler`
  Overrides:
    `addHitProperty` in class `org.biojava.bio.search.SearchContentAdapter`